enum ClientAction: Codable {
    case empty
    case clientError(_ err: ClientError)

    case connectionAction(_ action: ConnectionAction)
    case parserAction(_ action: ParserAction)
    case streamAction(_ action: StreamAction)
    case authAction(_ action: AuthAction)
    case bindResourceAction(_ action: BindResourceAction)
    case externalServiceAction(_ action: ExternalServicesAction)
    case callAction(_ action: CallAction)
}
